package repository

import (
	"errors"
)

var (
	ErrNotFound error = errors.New("Todo cannot be found")
)

type TodoRow struct {
	Id   int64
	Name string
	Done bool
}

func NewTodoRow(name string, done bool) TodoRow {
	return TodoRow{Name: name, Done: done}
}

func (t TodoRow) Equal(todo TodoRow) bool {
	return t.Id == todo.Id && t.Name == todo.Name && t.Done == todo.Done
}
